searchData={"items":[{"type":"module","title":"UUIDv7","doc":"UUIDv7 for Elixir (and Ecto).","ref":"UUIDv7.html"},{"type":"function","title":"UUIDv7.bingenerate/0","doc":"Generates a version 7 UUID in the binary format.","ref":"UUIDv7.html#bingenerate/0"},{"type":"function","title":"UUIDv7.cast/1","doc":"Casts either a string in the canonical, human-readable UUID format or a\n16-byte binary to a UUID in its canonical, human-readable UUID format.\n\nIf `uuid` is neither of these, `:error` will be returned.\n\nSince both binaries and strings are represent as binaries, this means some\nstrings you may not expect are actually also valid UUIDs in their binary form\nand so will be casted into their string form.","ref":"UUIDv7.html#cast/1"},{"type":"function","title":"Examples - UUIDv7.cast/1","doc":"iex> raw = <<1, 141, 236, 237, 26, 200, 116, 82, 179, 112, 220, 56, 9, 179, 208, 93>>\n    iex> UUIDv7.cast(raw)\n    {:ok, \"018deced-1ac8-7452-b370-dc3809b3d05d\"}\n\n    iex> UUIDv7.cast(\"018deced-1ac8-7452-b370-dc3809b3d05d\")\n    {:ok, \"018deced-1ac8-7452-b370-dc3809b3d05d\"}\n\n    iex> UUIDv7.cast(\"warehouse worker\")\n    {:ok, \"77617265-686f-7573-6520-776f726b6572\"}","ref":"UUIDv7.html#cast/1-examples"},{"type":"function","title":"UUIDv7.cast!/1","doc":"Same as `cast/1` but raises `Ecto.CastError` on invalid arguments.","ref":"UUIDv7.html#cast!/1"},{"type":"function","title":"UUIDv7.decode/1","doc":"","ref":"UUIDv7.html#decode/1"},{"type":"function","title":"UUIDv7.dump/1","doc":"Converts a string representing a UUID into a raw binary.","ref":"UUIDv7.html#dump/1"},{"type":"function","title":"UUIDv7.dump!/1","doc":"Same as `dump/1` but raises `Ecto.ArgumentError` on invalid arguments.","ref":"UUIDv7.html#dump!/1"},{"type":"function","title":"UUIDv7.embed_as/1","doc":"","ref":"UUIDv7.html#embed_as/1"},{"type":"function","title":"UUIDv7.encode/1","doc":"","ref":"UUIDv7.html#encode/1"},{"type":"function","title":"UUIDv7.equal?/2","doc":"","ref":"UUIDv7.html#equal?/2"},{"type":"function","title":"UUIDv7.from_timestamp/1","doc":"Generates a version 7 UUID from an existing microsecond timestamp.","ref":"UUIDv7.html#from_timestamp/1"},{"type":"function","title":"UUIDv7.generate/0","doc":"Generates a version 7 UUID using microseconds for increased clock precision.","ref":"UUIDv7.html#generate/0"},{"type":"function","title":"UUIDv7.load/1","doc":"Converts a binary UUID into a string.","ref":"UUIDv7.html#load/1"},{"type":"function","title":"UUIDv7.load!/1","doc":"Same as `load/1` but raises `Ecto.ArgumentError` on invalid arguments.","ref":"UUIDv7.html#load!/1"},{"type":"type","title":"UUIDv7.raw/0","doc":"A raw binary representation of a UUID.","ref":"UUIDv7.html#t:raw/0"},{"type":"type","title":"UUIDv7.t/0","doc":"A hex-encoded UUID string.","ref":"UUIDv7.html#t:t/0"}],"content_type":"text/markdown"}